/*----------------------------------------------------------------------
  File    : vecops.h
  Contents: some special vector operations
  Author  : Christian Borgelt
  History : 16.09.1996 file created
            04.02.1999 long int changed to int
            03.06.2001 function v_shuffle added
----------------------------------------------------------------------*/
#ifndef __VECOPS__
#define __VECOPS__

/*----------------------------------------------------------------------
  Type Definitions
----------------------------------------------------------------------*/
typedef int VCMPFN (const void *p1, const void *p2, void *data);

/*----------------------------------------------------------------------
  Functions
----------------------------------------------------------------------*/
extern void v_sort    (void *vec, int n, VCMPFN cmpfn, void *data);
extern void v_move    (void *vec, int off, int n, int pos, int esz);
extern void v_shuffle (void *vec, int n, double randfn (void));

#endif
